summaryrefslogtreecommitdiff
path: root/src/bin
diff options
context:
space:
mode:
authorribosome ribosome@31f1291d-b8d6-0310-a050-a5561fc1590b <ribosome ribosome@31f1291d-b8d6-0310-a050-a5561fc1590b@5417fbe8-f217-4b02-8779-1006273d7864>2005-03-26 10:05:57 +0000
committerribosome ribosome@31f1291d-b8d6-0310-a050-a5561fc1590b <ribosome ribosome@31f1291d-b8d6-0310-a050-a5561fc1590b@5417fbe8-f217-4b02-8779-1006273d7864>2005-03-26 10:05:57 +0000
commitc4cdb1fe36643447c4f04e375e48bd6165355c36 (patch)
tree4ad554dc0e8804be68d25e061bec22957418e11c /src/bin
parent2225f58c39d004e3fac4ec38e52daeb9884727be (diff)
BUILD : 1.7.8 (641) BUGS : NOTES : Added SUSPEND and UNSUSPEND to NickServ. Also added running as root check to anoperc.
git-svn-id: svn://svn.anope.org/anope/trunk@641 31f1291d-b8d6-0310-a050-a5561fc1590b git-svn-id: http://anope.svn.sourceforge.net/svnroot/anope/trunk@489 5417fbe8-f217-4b02-8779-1006273d7864
Diffstat (limited to 'src/bin')
-rwxr-xr-xsrc/bin/anoperc7
1 files changed, 7 insertions, 0 deletions
diff --git a/src/bin/anoperc b/src/bin/anoperc
index bc0704f12..0f3900f52 100755
--- a/src/bin/anoperc
+++ b/src/bin/anoperc
@@ -47,6 +47,13 @@ if [ ! -f $ANOPEBIN$ANOPROG ] ; then
exit 1
fi
+if [ "$UID" = "0" ] ; then
+ echo "**********************************";
+ echo "Warning: Do not run anope as root!";
+ echo "**********************************";
+ exit 1
+fi
+
if [ "$1" = "start" ] ; then
if [ -f $ANOPEBIN$PIDFILE ] ; then